JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
await client.browsers.computer.moveMouse('id', { x: 0, y: 0 });import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
client.browsers.computer.move_mouse(
id="id",
x=0,
y=0,
)package main
import (
"context"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Browsers.Computer.MoveMouse(
context.TODO(),
"id",
kernel.BrowserComputerMoveMouseParams{
X: 0,
Y: 0,
},
)
if err != nil {
panic(err.Error())
}
}curl --request POST \
--url https://api.onkernel.com/browsers/{id}/computer/move_mouse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"x": 123,
"y": 123,
"hold_keys": [
"<string>"
],
"smooth": true,
"duration_ms": 2525
}
'
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Browser Computer Controls
Move the mouse cursor to the specified coordinates on the browser instance
POST
/
browsers
/
{id}
/
computer
/
move_mouse
JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
await client.browsers.computer.moveMouse('id', { x: 0, y: 0 });import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
client.browsers.computer.move_mouse(
id="id",
x=0,
y=0,
)package main
import (
"context"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Browsers.Computer.MoveMouse(
context.TODO(),
"id",
kernel.BrowserComputerMoveMouseParams{
X: 0,
Y: 0,
},
)
if err != nil {
panic(err.Error())
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Browser session ID
Body
application/json
X coordinate to move the cursor to
Y coordinate to move the cursor to
Modifier keys to hold during the move
Use human-like Bezier curve path instead of instant mouse movement.
Target total duration in milliseconds for the mouse movement when smooth=true. Omit for automatic timing based on distance.
Required range:
50 <= x <= 5000Response
Mouse cursor moved
Simulate a mouse click action on the browser instance
Previous
Capture a screenshot of the browser instance
Next
⌘I